<?php

namespace Shop\Controller;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Container\ContainerInterface;
use Shop\DB\Clients as ClientList;

class Clients
{
	protected $container;
	protected $twig;
	protected $vars;

	public function __construct(ContainerInterface $container)
	{
		$this->container = $container;
	}

	public function clients(ServerRequestInterface $request, ResponseInterface $response, array $args)
	{
		$container = $this->container;
		$twig = $container->get('twig');

		$db = new ClientList($this->container);
		$clients = $db->getClients();

		$vars = ["clients" => $clients];

		$a = $twig->render('clients.html.twig', $vars);
		$response->getBody()->write($a);
		return $response;

	}
}