<?php 

namespace Shop\Controller;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Container\ContainerInterface;
use Shop\DB\Order;

class OrderCreate
{
	protected $container;

	public function __construct(ContainerInterface $container){
		$this->container = $container;
	}

	public function createGet(ServerRequestInterface $request, ResponseInterface $response, array $args)
	{
		$container = $this->container;
		$twig = $container->get('twig');

		$db = new Order($container);
		$order = $db->getOrderDetail($args['id']);

		$vars = ["order" => $order, "args" => $args['id']];
		$a = $twig->render('ordercreate.html.twig', $vars);
		$response->getBody()->write($a);
		return $response;
	}

	public function createPost(ServerRequestInterface $request, ResponseInterface $response, array $args)
	{
		$container = $this->container;
		$twig = $container->get('twig');

		$db = new Order($container);
		$productid = $request->getParsedBody()['id'];
		$qty = $request->getParsedBody()['qty'];
		$order = $db->getProductDetails($args['id'], $productid, $qty);

		return $response->withHeader('Location', '/order/' . $args['id'] . '/create');
		
	}
}