<?php

namespace Shop\Controller;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Container\ContainerInterface;
use Shop\DB\Order;

class OrderID
{
	protected $container;
	protected $twig;

	public function __construct(ContainerInterface $container)
	{
		$this->container = $container;
	}

	public function orderID(ServerRequestInterface $request, ResponseInterface $response, array $args)
	{
		$container = $this->container;
		$twig = $container->get('twig');

		$db = new Order($this->container);
		$orderLines = $db->getOrderLines($args['id']);
		$orderDetails = $db->getOrderDetail($args['id']);

		$vars = ["orderlines" => $orderLines, "orderdetails" => $orderDetails, "custid" => $args['id']];

		$a = $twig->render('orderID.html.twig', $vars);
		$response->getBody()->write($a);
		return $response;
	}

}