<?php

namespace Shop\Controller;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Container\ContainerInterface;
use Shop\DB\Orders as OrderDB;

class Orders
{
	protected $container;

	public function __construct(ContainerInterface $container)
	{
		$this->container = $container;
	}

	public function orders(ServerRequestInterface $request, ResponseInterface $response, array $args)
	{
		$container = $this->container;
		$twig = $container->get('twig');
		
		$db = new OrderDB($this->container);
		$orders = $db->getOrders();

		$vars = ["orders" => $orders];

		$a = $twig->render('orders.html.twig', $vars);
		$response->getBody()->write($a);
		return $response;

	}

	public function ordersArgs(ServerRequestInterface $request, ResponseInterface $response, array $args)
	{
		$container = $this->container;
		$twig = $container->get('twig');
		
		$db = new OrderDB($this->container);
		$orders = $db->getOrdersArgs($args['client']);

		$vars = ["orders" => $orders];

		$a = $twig->render('ordersargs.html.twig', $vars);
		$response->getBody()->write($a);
		return $response;
	}
}