<?php

namespace Shop\DB;
use Shop\Model\Orders as OrdersModel;

class Orders
{
	protected $container;
	protected $orderArr = [];
	protected $clientArr = [];
	protected $totalArr;

	public function __construct($container)
	{
		$this->container = $container;
	}

	public function getOrders() {
		$db = $this->container->get('db');
		$sql = "SELECT o.* FROM orders o LEFT JOIN clients c on o.customer_id = c.id;";
    $stmt = $db->prepare($sql);
		$res = $stmt->execute();
		while($result = $res->fetchArray(SQLITE3_ASSOC)) {
			$order = new OrdersModel($this->container);
			$order->setId($result['name']);
			$order->setReference($result['reference']);
			$order->setSubtotal($result['subtotal']);
			$order->setVat($result['vat']);
			$order->setTotal($result['total']);
			$this->orderArr[] = $order;
		}
		return $this->orderArr;
	}

	public function getOrdersArgs($id) {
		$db = $this->container->get('db');
		$stmt2 = $db->prepare("SELECT * FROM clients WHERE id = :id;");
		$stmt2->bindValue(':id', $id, SQLITE3_INTEGER);
    $res2 = $stmt2->execute();
		while($result = $res2->fetchArray(SQLITE3_ASSOC)) {
			$order = new OrdersModel($this->container);
			$order->setFirstname($result['firstname']);
			$order->setLastname($result['lastname']);
			$this->clientArr[] = $order;
		}
		$sql = "SELECT o.* FROM orders o LEFT JOIN clients c on o.customer_id = c.id;";
    $stmt = $db->prepare($sql);
		$res = $stmt->execute();
		while($result = $res->fetchArray(SQLITE3_ASSOC)) {
			$order->setId($result['name']);
			$order->setReference($result['reference']);
			$order->setSubtotal($result['subtotal']);
			$order->setVat($result['vat']);
			$order->setTotal($result['total']);
			$this->orderArr[] = $order;
		}
		$this->totalArr = array_merge($this->clientArr, $this->orderArr);
		return $this->totalArr;
	}
}